## r-bioc-delayedarray 0.2.7

=== DESCRIPTION ===
Package: DelayedArray
Title: Delayed operations on array-like objects
Description: Wrapping an array-like object (typically an on-disk object) in
	a DelayedArray object allows one to perform common array operations
	on it without loading the object in memory. In order to reduce memory
	usage and optimize performance, operations on the object are either
	delayed or executed using a block processing mechanism. Note that this
	also works on in-memory array-like objects like DataFrame objects
	(typically with Rle columns), Matrix objects, and ordinary arrays and
	data frames.
Version: 0.2.7
Encoding: UTF-8
Author: Hervé Pagès
Maintainer: Hervé Pagès <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation, Annotation,
        GenomeAnnotation
Depends: R (>= 3.4), methods, BiocGenerics, S4Vectors (>= 0.14.3),
        IRanges, matrixStats
Imports: stats
Suggests: Matrix, HDF5Array, genefilter, BiocStyle
License: Artistic-2.0
Collate: utils.R ArrayBlocks-class.R show-utils.R DelayedArray-class.R
        cbind-methods.R realize.R block_processing.R
        DelayedArray-utils.R DelayedMatrix-utils.R DelayedArray-stats.R
        DelayedMatrix-stats.R RleArray-class.R zzz.R
NeedsCompilation: no
Packaged: 2017-06-03 00:46:21 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.2.7-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 11:03:57 +0000

r-bioc-delayedarray (0.2.7-1) unstable; urgency=medium

  * New upstream version
  * Update Build-Depends: r-bioc-s4vectors (>= 0.14.3)
  * Add missing dependency for autopkgtest: r-cran-runit
  * Add copyright year to debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Jun 2017 11:34:56 +0200

r-bioc-delayedarray (0.2.4-1) unstable; urgency=medium

  * Initial release (Closes: #863415)

 -- Graham Inggs <ginggs@debian.org>  Fri, 26 May 2017 17:15:55 +0200

=== debian/control ===
Source: r-bioc-delayedarray
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-iranges,
               r-bioc-s4vectors (>= 0.14.3),
               r-cran-matrixstats
Standards-Version: 3.9.8
Homepage: https://bioconductor.org/packages/DelayedArray/
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-delayedarray/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-delayedarray/trunk/

Package: r-bioc-delayedarray
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor delayed operations on array-like objects
 Wrapping an array-like object (typically an on-disk object) in
 a DelayedArray object allows one to perform common array operations
 on it without loading the object in memory. In order to reduce memory
 usage and optimize performance, operations on the object are either
 delayed or executed using a block processing mechanism. Note that this
 also works on in-memory array-like objects like DataFrame objects
 (typically with Rle columns), Matrix objects, and ordinary arrays and
 data frames.

## r-bioc-delayedarray 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -8,20 +8,24 @@
 	also works on in-memory array-like objects like DataFrame objects
 	(typically with Rle columns), Matrix objects, and ordinary arrays and
 	data frames.
-Version: 0.2.7
+Version: 0.4.1
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: Hervé Pagès <hpages@fredhutch.org>
 biocViews: Infrastructure, DataRepresentation, Annotation,
         GenomeAnnotation
-Depends: R (>= 3.4), methods, BiocGenerics, S4Vectors (>= 0.14.3),
-        IRanges, matrixStats
+Depends: R (>= 3.4), methods, matrixStats, BiocGenerics, S4Vectors (>=
+        0.15.3), IRanges (>= 2.11.17)
 Imports: stats
-Suggests: Matrix, HDF5Array, genefilter, BiocStyle
+Suggests: Matrix, HDF5Array, genefilter, SummarizedExperiment, airway,
+        pryr, knitr, BiocStyle
 License: Artistic-2.0
-Collate: utils.R ArrayBlocks-class.R show-utils.R DelayedArray-class.R
-        cbind-methods.R realize.R block_processing.R
+VignetteBuilder: knitr
+Collate: utils.R bind-arrays.R Array-class.R ArrayGrid-class.R
+        show-utils.R subset_seed_as_array.R
+        ConformableSeedCombiner-class.R SeedBinder-class.R
+        DelayedArray-class.R realize.R block_processing.R
         DelayedArray-utils.R DelayedMatrix-utils.R DelayedArray-stats.R
         DelayedMatrix-stats.R RleArray-class.R zzz.R
 NeedsCompilation: no
-Packaged: 2017-06-03 00:46:21 UTC; biocbuild
+Packaged: 2017-11-04 00:48:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 18:45:14 +0100

r-bioc-delayedarray (0.2.7-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 01 Oct 2017 08:05:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: r-bioc-delayedarray
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
@@ -10,14 +10,16 @@
                r-bioc-iranges,
                r-bioc-s4vectors (>= 0.14.3),
                r-cran-matrixstats
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-delayedarray.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-delayedarray/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-delayedarray/trunk/
 
 Package: r-bioc-delayedarray
 Architecture: all
-Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${R:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: BioConductor delayed operations on array-like objects

=== debian/tests/control ===
Tests: bioc
Depends: @, r-cran-runit, r-bioc-biocgenerics, r-bioc-genefilter
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/DelayedArray.html .*/DelayedArray_(.*).tar.gz

## r-bioc-delayedarray 0.6.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -8,24 +8,29 @@
 	also works on in-memory array-like objects like DataFrame objects
 	(typically with Rle columns), Matrix objects, and ordinary arrays and
 	data frames.
-Version: 0.4.1
+Version: 0.6.5
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: Hervé Pagès <hpages@fredhutch.org>
 biocViews: Infrastructure, DataRepresentation, Annotation,
         GenomeAnnotation
-Depends: R (>= 3.4), methods, matrixStats, BiocGenerics, S4Vectors (>=
-        0.15.3), IRanges (>= 2.11.17)
+Depends: R (>= 3.4), methods, stats4, matrixStats, BiocGenerics (>=
+        0.25.1), S4Vectors (>= 0.17.43), IRanges (>= 2.11.17),
+        BiocParallel
 Imports: stats
 Suggests: Matrix, HDF5Array, genefilter, SummarizedExperiment, airway,
-        pryr, knitr, BiocStyle
+        pryr, knitr, BiocStyle, RUnit
 License: Artistic-2.0
 VignetteBuilder: knitr
 Collate: utils.R bind-arrays.R Array-class.R ArrayGrid-class.R
-        show-utils.R subset_seed_as_array.R
-        ConformableSeedCombiner-class.R SeedBinder-class.R
+        extract_array.R show-utils.R DelayedOp-class.R showtree.R
         DelayedArray-class.R realize.R block_processing.R
         DelayedArray-utils.R DelayedMatrix-utils.R DelayedArray-stats.R
         DelayedMatrix-stats.R RleArray-class.R zzz.R
+git_url: https://git.bioconductor.org/packages/DelayedArray
+git_branch: RELEASE_3_7
+git_last_commit: 7d1cb64
+git_last_commit_date: 2018-08-14
+Date/Publication: 2018-08-15
 NeedsCompilation: no
-Packaged: 2017-11-04 00:48:32 UTC; biocbuild
+Packaged: 2018-08-16 01:25:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.6.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 20 Aug 2018 08:32:15 +0200

r-bioc-delayedarray (0.6.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Wed, 08 Aug 2018 09:08:06 +0200

r-bioc-delayedarray (0.6.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2018 10:59:53 +0200

r-bioc-delayedarray (0.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jul 2018 05:52:26 +0200

r-bioc-delayedarray (0.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2018 14:47:33 +0200

r-bioc-delayedarray (0.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * dh-update-R to update Build-Depends
  * Exclude autogenerated HTML containing compressed JS

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 13:50:21 +0200

r-bioc-delayedarray (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 00:26:54 +0200

r-bioc-delayedarray (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 09:08:35 +0200

r-bioc-delayedarray (0.4.1-2) UNRELEASED; urgency=medium

  * Update Build-Depends: r-bioc-iranges (>= 2.11.17)

 -- Graham Inggs <ginggs@debian.org>  Fri, 10 Nov 2017 08:43:12 +0000

=== debian/control ===
Source: r-bioc-delayedarray
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Graham Inggs <ginggs@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               libgdal-dev,
               r-cran-matrixstats,
               r-bioc-biocgenerics (>= 0.25.1),
               r-bioc-s4vectors (>= 0.17.43),
               r-bioc-iranges (>= 2.11.17),
               r-bioc-biocparallel
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
Homepage: https://bioconductor.org/packages/DelayedArray/

Package: r-bioc-delayedarray
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor delayed operations on array-like objects
 Wrapping an array-like object (typically an on-disk object) in
 a DelayedArray object allows one to perform common array operations
 on it without loading the object in memory. In order to reduce memory
 usage and optimize performance, operations on the object are either
 delayed or executed using a block processing mechanism. Note that this
 also works on in-memory array-like objects like DataFrame objects
 (typically with Rle columns), Matrix objects, and ordinary arrays and
 data frames.

## r-bioc-delayedarray 0.8.0+dfsg

=== DESCRIPTION ===
Package: DelayedArray
Title: Delayed operations on array-like objects
Description: Wrapping an array-like object (typically an on-disk object) in
	a DelayedArray object allows one to perform common array operations
	on it without loading the object in memory. In order to reduce memory
	usage and optimize performance, operations on the object are either
	delayed or executed using a block processing mechanism. Note that this
	also works on in-memory array-like objects like DataFrame objects
	(typically with Rle columns), Matrix objects, and ordinary arrays and
	data frames.
Version: 0.8.0
Encoding: UTF-8
Author: Hervé Pagès <hpages@fredhutch.org>, with contributions from
	Peter Hickey <peter.hickey@gmail.com>
Maintainer: Hervé Pagès <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation, Annotation,
        GenomeAnnotation
Depends: R (>= 3.4), methods, stats4, matrixStats, BiocGenerics (>=
        0.27.1), S4Vectors (>= 0.19.15), IRanges (>= 2.11.17),
        BiocParallel
Imports: stats
LinkingTo: S4Vectors
Suggests: Matrix, HDF5Array, genefilter, SummarizedExperiment, airway,
        pryr, DelayedMatrixStats, knitr, BiocStyle, RUnit
License: Artistic-2.0
VignetteBuilder: knitr
Collate: utils.R compress_atomic_vector.R Nindex-utils.R aperm2.R
        linearInd.R bind-arrays.R Array-class.R extract_array.R
        ArrayGrid-class.R show-utils.R SparseArraySeed-class.R
        read_block.R mapToGrid.R makeCappedVolumeBox.R blockGrid.R
        DelayedOp-class.R showtree.R DelayedArray-class.R chunkGrid.R
        block_processing.R RealizationSink-class.R realize.R
        DelayedArray-subsetting.R DelayedArray-utils.R
        DelayedMatrix-utils.R DelayedArray-stats.R
        DelayedMatrix-stats.R RleArray-class.R zzz.R
git_url: https://git.bioconductor.org/packages/DelayedArray
git_branch: RELEASE_3_8
git_last_commit: 7c23cf4
git_last_commit_date: 2018-10-30
Date/Publication: 2018-10-30
NeedsCompilation: yes
Packaged: 2018-10-31 01:42:10 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.8.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * dh-update-R to update Build-Depends
      Remove useless Build-Depends: libgdal-dev
  * Add r-bioc-biocparallel (>= 1.16.5) to build-dep to avoid FTBFS on
      some uncommon architectures.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 06 Jan 2019 12:38:15 +0100

r-bioc-delayedarray (0.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Switch Architecture from all to any

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Nov 2018 23:10:03 +0100

r-bioc-delayedarray (0.6.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2018 10:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               libgdal-dev,
                r-cran-matrixstats,
-               r-bioc-biocgenerics (>= 0.25.1),
-               r-bioc-s4vectors (>= 0.17.43),
+               r-bioc-biocgenerics (>= 0.27.1),
+               r-bioc-s4vectors (>= 0.19.15),
                r-bioc-iranges (>= 2.11.17),
-               r-bioc-biocparallel
-Standards-Version: 4.2.0
+               r-bioc-biocparallel (>= 1.16.5)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/
 
 Package: r-bioc-delayedarray
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/watch ===
version=4

opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://bioconductor.org/packages/release/bioc/html/DelayedArray.html .*/DelayedArray_(.*).tar.gz

## r-bioc-delayedarray 0.10.0+dfsg

=== DESCRIPTION ===
Package: DelayedArray
Title: A unified framework for working transparently with on-disk and
        in-memory array-like datasets
Description: Wrapping an array-like object (typically an on-disk object) in
	a DelayedArray object allows one to perform common array operations
	on it without loading the object in memory. In order to reduce memory
	usage and optimize performance, operations on the object are either
	delayed or executed using a block processing mechanism. Note that this
	also works on in-memory array-like objects like DataFrame objects
	(typically with Rle columns), Matrix objects, and ordinary arrays and
	data frames.
Version: 0.10.0
Encoding: UTF-8
Author: Hervé Pagès <hpages@fredhutch.org>, with contributions from
	Peter Hickey <peter.hickey@gmail.com> and
	Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>
Maintainer: Hervé Pagès <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation, Annotation,
        GenomeAnnotation
Depends: R (>= 3.4), methods, stats4, matrixStats, BiocGenerics (>=
        0.27.1), S4Vectors (>= 0.21.7), IRanges (>= 2.17.3),
        BiocParallel
Imports: stats, Matrix
LinkingTo: S4Vectors
Suggests: Matrix, HDF5Array, genefilter, SummarizedExperiment, airway,
        pryr, DelayedMatrixStats, knitr, BiocStyle, RUnit
License: Artistic-2.0
VignetteBuilder: knitr
Collate: utils.R compress_atomic_vector.R Nindex-utils.R aperm2.R
        linearInd.R bind-arrays.R Array-class.R extract_array.R
        ArrayGrid-class.R show-utils.R SparseArraySeed-class.R
        read_block.R mapToGrid.R makeCappedVolumeBox.R blockGrid.R
        DelayedOp-class.R showtree.R simplify.R DelayedArray-class.R
        chunkGrid.R block_processing.R RealizationSink-class.R
        realize.R DelayedArray-subsetting.R DelayedArray-utils.R
        DelayedMatrix-utils.R DelayedArray-stats.R
        DelayedMatrix-stats.R RleArraySeed-class.R RleArray-class.R
        zzz.R
git_url: https://git.bioconductor.org/packages/DelayedArray
git_branch: RELEASE_3_9
git_last_commit: 4781d07
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
NeedsCompilation: yes
Packaged: 2019-05-03 02:22:55 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 17:43:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Uploaders: Graham Inggs <ginggs@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-matrixstats,
                r-bioc-biocgenerics (>= 0.27.1),
-               r-bioc-s4vectors (>= 0.19.15),
-               r-bioc-iranges (>= 2.11.17),
-               r-bioc-biocparallel (>= 1.16.5)
-Standards-Version: 4.2.1
+               r-bioc-s4vectors (>= 0.21.7),
+               r-bioc-iranges (>= 2.17.3),
+               r-bioc-biocparallel,
+               r-cran-matrix
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/

## r-bioc-delayedarray 0.12.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	also works on in-memory array-like objects like DataFrame objects
 	(typically with Rle columns), Matrix objects, and ordinary arrays and
 	data frames.
-Version: 0.10.0
+Version: 0.12.2
 Encoding: UTF-8
 Author: Hervé Pagès <hpages@fredhutch.org>, with contributions from
 	Peter Hickey <peter.hickey@gmail.com> and
@@ -18,12 +18,12 @@
 biocViews: Infrastructure, DataRepresentation, Annotation,
         GenomeAnnotation
 Depends: R (>= 3.4), methods, stats4, matrixStats, BiocGenerics (>=
-        0.27.1), S4Vectors (>= 0.21.7), IRanges (>= 2.17.3),
+        0.31.5), S4Vectors (>= 0.21.7), IRanges (>= 2.17.3),
         BiocParallel
 Imports: stats, Matrix
 LinkingTo: S4Vectors
-Suggests: Matrix, HDF5Array, genefilter, SummarizedExperiment, airway,
-        pryr, DelayedMatrixStats, knitr, BiocStyle, RUnit
+Suggests: HDF5Array, genefilter, SummarizedExperiment, airway, pryr,
+        DelayedMatrixStats, knitr, BiocStyle, RUnit
 License: Artistic-2.0
 VignetteBuilder: knitr
 Collate: utils.R compress_atomic_vector.R Nindex-utils.R aperm2.R
@@ -37,9 +37,9 @@
         DelayedMatrix-stats.R RleArraySeed-class.R RleArray-class.R
         zzz.R
 git_url: https://git.bioconductor.org/packages/DelayedArray
-git_branch: RELEASE_3_9
-git_last_commit: 4781d07
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: a50c4a9
+git_last_commit_date: 2020-01-06
+Date/Publication: 2020-01-06
 NeedsCompilation: yes
-Packaged: 2019-05-03 02:22:55 UTC; biocbuild
+Packaged: 2020-01-07 03:10:17 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.12.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Jan 2020 07:33:04 +0100

r-bioc-delayedarray (0.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Dec 2019 08:18:53 +0100

r-bioc-delayedarray (0.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 09 Nov 2019 22:39:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Graham Inggs <ginggs@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-matrixstats,
-               r-bioc-biocgenerics (>= 0.27.1),
+               r-bioc-biocgenerics (>= 0.31.5),
                r-bioc-s4vectors (>= 0.21.7),
                r-bioc-iranges (>= 2.17.3),
                r-bioc-biocparallel,
                r-cran-matrix
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/

=== debian/watch ===
version=4

opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://bioconductor.org/packages/release/bioc/html/DelayedArray.html .*/DelayedArray_(.*).tar.gz

## r-bioc-delayedarray 0.14.1+dfsg

=== DESCRIPTION ===
Package: DelayedArray
Title: A unified framework for working transparently with on-disk and
        in-memory array-like datasets
Description: Wrapping an array-like object (typically an on-disk object) in
	a DelayedArray object allows one to perform common array operations
	on it without loading the object in memory. In order to reduce memory
	usage and optimize performance, operations on the object are either
	delayed or executed using a block processing mechanism. Note that this
	also works on in-memory array-like objects like DataFrame objects
	(typically with Rle columns), Matrix objects, and ordinary arrays and
	data frames.
Version: 0.14.1
Encoding: UTF-8
Author: Hervé Pagès <hpages@fredhutch.org>, with contributions from
	Peter Hickey <peter.hickey@gmail.com> and
	Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>
Maintainer: Hervé Pagès <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation, Annotation,
        GenomeAnnotation
Depends: R (>= 3.4), methods, stats4, matrixStats, BiocGenerics (>=
        0.31.5), S4Vectors (>= 0.25.15), IRanges (>= 2.17.3)
Imports: stats, Matrix
LinkingTo: S4Vectors
Suggests: BiocParallel, HDF5Array, genefilter, SummarizedExperiment,
        airway, pryr, DelayedMatrixStats, knitr, BiocStyle, RUnit
License: Artistic-2.0
VignetteBuilder: knitr
Collate: utils.R dgCMatrix-utils.R compress_atomic_vector.R
        Nindex-utils.R array_selection.R aperm2.R bind-arrays.R
        Array-class.R extract_array.R ArrayGrid-class.R show-utils.R
        SparseArraySeed-class.R read_block.R mapToGrid.R
        makeCappedVolumeBox.R blockGrid.R blockApply.R
        DelayedOp-class.R showtree.R simplify.R DelayedArray-class.R
        DelayedArray-subsetting.R chunkGrid.R RealizationSink-class.R
        realize.R DelayedArray-utils.R DelayedMatrix-utils.R
        DelayedArray-stats.R DelayedMatrix-stats.R RleArraySeed-class.R
        RleArray-class.R zzz.R
git_url: https://git.bioconductor.org/packages/DelayedArray
git_branch: RELEASE_3_11
git_last_commit: 52230a4
git_last_commit_date: 2020-07-13
Date/Publication: 2020-07-14
NeedsCompilation: yes
Packaged: 2020-07-15 01:18:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jul 2020 09:38:16 +0200

r-bioc-delayedarray (0.14.0+dfsg-2) unstable; urgency=medium

  * Add r-bioc-biocparallel to test-deps (Closes: #961350)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 24 May 2020 15:21:50 +0200

r-bioc-delayedarray (0.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 08:20:17 +0200

r-bioc-delayedarray (0.12.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Apr 2020 14:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Graham Inggs <ginggs@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrixstats,
                r-bioc-biocgenerics (>= 0.31.5),
-               r-bioc-s4vectors (>= 0.21.7),
+               r-bioc-s4vectors (>= 0.25.15),
                r-bioc-iranges (>= 2.17.3),
-               r-bioc-biocparallel,
                r-cran-matrix
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/
+Rules-Requires-Root: no
 
 Package: r-bioc-delayedarray
 Architecture: any

=== debian/tests/control ===
Tests: bioc
Depends: @, r-cran-runit, r-bioc-biocgenerics, r-bioc-genefilter, r-bioc-biocparallel
Restrictions: allow-stderr

## r-bioc-delayedarray 0.16.1+dfsg

=== DESCRIPTION ===
Package: DelayedArray
Title: A unified framework for working transparently with on-disk and
        in-memory array-like datasets
Description: Wrapping an array-like object (typically an on-disk object) in
	a DelayedArray object allows one to perform common array operations
	on it without loading the object in memory. In order to reduce memory
	usage and optimize performance, operations on the object are either
	delayed or executed using a block processing mechanism. Note that
	this also works on in-memory array-like objects like DataFrame objects
	(typically with Rle columns), Matrix objects, ordinary arrays and,
	data frames.
biocViews: Infrastructure, DataRepresentation, Annotation,
        GenomeAnnotation
URL: https://bioconductor.org/packages/DelayedArray
BugReports: https://github.com/Bioconductor/DelayedArray/issues
Version: 0.16.1
License: Artistic-2.0
Encoding: UTF-8
Author: Hervé Pagès <hpages.on.github@gmail.com>, with contributions from
	Peter Hickey <peter.hickey@gmail.com> and
	Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 3.4), methods, stats4, Matrix, BiocGenerics (>= 0.31.5),
        MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2), IRanges (>=
        2.17.3)
Imports: stats
LinkingTo: S4Vectors
Suggests: BiocParallel, HDF5Array (>= 1.17.12), genefilter,
        SummarizedExperiment, airway, pryr, DelayedMatrixStats, knitr,
        BiocStyle, RUnit
VignetteBuilder: knitr
Collate: utils.R sparseMatrix-utils.R compress_atomic_vector.R
        Nindex-utils.R array_selection.R aperm2.R bind-arrays.R
        Array-class.R extract_array.R ArrayGrid-class.R show-utils.R
        SparseArraySeed-class.R SparseArraySeed-utils.R read_block.R
        mapToGrid.R makeCappedVolumeBox.R AutoBlock-global-settings.R
        AutoGrid.R blockApply.R DelayedOp-class.R showtree.R simplify.R
        DelayedArray-class.R DelayedArray-subsetting.R chunkGrid.R
        write_block.R realize.R DelayedArray-utils.R
        DelayedMatrix-utils.R DelayedArray-stats.R
        DelayedMatrix-stats.R RleArraySeed-class.R RleArray-class.R
        zzz.R
git_url: https://git.bioconductor.org/packages/DelayedArray
git_branch: RELEASE_3_12
git_last_commit: c95eba7
git_last_commit_date: 2020-11-24
Date/Publication: 2021-01-22
NeedsCompilation: yes
Packaged: 2021-01-22 23:45:53 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.16.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 09:06:36 +0100

r-bioc-delayedarray (0.16.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Run the tests via autopkgtest-pkg-r, not BiocGenerics:::testPackage.
    Same testsuite, but run in a manner that works. Closes: #979555
  * Standards-Version: 4.5.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 16 Jan 2021 12:51:43 +0100

r-bioc-delayedarray (0.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 08:28:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-matrixstats,
+               r-cran-matrix,
                r-bioc-biocgenerics (>= 0.31.5),
-               r-bioc-s4vectors (>= 0.25.15),
-               r-bioc-iranges (>= 2.17.3),
-               r-cran-matrix
-Standards-Version: 4.5.0
+               r-bioc-matrixgenerics,
+               r-bioc-s4vectors (>= 0.27.2),
+               r-bioc-iranges (>= 2.17.3)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/

## r-bioc-delayedarray 0.20.0+dfsg

=== DESCRIPTION ===
Package: DelayedArray
Title: A unified framework for working transparently with on-disk and
        in-memory array-like datasets
Description: Wrapping an array-like object (typically an on-disk object) in
	a DelayedArray object allows one to perform common array operations
	on it without loading the object in memory. In order to reduce memory
	usage and optimize performance, operations on the object are either
	delayed or executed using a block processing mechanism. Note that
	this also works on in-memory array-like objects like DataFrame objects
	(typically with Rle columns), Matrix objects, ordinary arrays and,
	data frames.
biocViews: Infrastructure, DataRepresentation, Annotation,
        GenomeAnnotation
URL: https://bioconductor.org/packages/DelayedArray
BugReports: https://github.com/Bioconductor/DelayedArray/issues
Version: 0.20.0
License: Artistic-2.0
Encoding: UTF-8
Author: Hervé Pagès <hpages.on.github@gmail.com>, with contributions from
	Peter Hickey <peter.hickey@gmail.com> and
	Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 4.0.0), methods, stats4, Matrix, BiocGenerics (>=
        0.37.0), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
        IRanges (>= 2.17.3)
Imports: stats
LinkingTo: S4Vectors
Suggests: BiocParallel, HDF5Array (>= 1.17.12), genefilter,
        SummarizedExperiment, airway, lobstr, DelayedMatrixStats,
        knitr, rmarkdown, BiocStyle, RUnit
VignetteBuilder: knitr
Collate: utils.R sparseMatrix-utils.R compress_atomic_vector.R
        Nindex-utils.R array_selection.R aperm2.R bind-arrays.R
        Array-class.R extract_array.R ArrayGrid-class.R show-utils.R
        SparseArraySeed-class.R SparseArraySeed-utils.R read_block.R
        mapToGrid.R makeCappedVolumeBox.R AutoBlock-global-settings.R
        AutoGrid.R blockApply.R DelayedOp-class.R DelayedSubset-class.R
        DelayedAperm-class.R DelayedUnaryIsoOpStack-class.R
        DelayedUnaryIsoOpWithArgs-class.R DelayedSubassign-class.R
        DelayedSetDimnames-class.R DelayedNaryIsoOp-class.R
        DelayedAbind-class.R showtree.R simplify.R DelayedArray-class.R
        DelayedArray-subsetting.R chunkGrid.R write_block.R realize.R
        DelayedArray-utils.R DelayedMatrix-utils.R DelayedArray-stats.R
        DelayedMatrix-stats.R ConstantArray-class.R
        RleArraySeed-class.R RleArray-class.R zzz.R
git_url: https://git.bioconductor.org/packages/DelayedArray
git_branch: RELEASE_3_14
git_last_commit: 829b529
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 21:15:51 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.20.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 01:12:20 +0530

r-bioc-delayedarray (0.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Test-Depends: r-bioc-genefilter, r-bioc-biocparallel

 -- Andreas Tille <tille@debian.org>  Sun, 05 Sep 2021 19:06:59 +0200

r-bioc-delayedarray (0.18.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Added registry entries to d/u/metadata
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

  [ Andreas Tille ]
  * Provide autopkgtest-pkg-r.conf to make sure runit will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Sep 2021 16:12:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-bioc-biocgenerics (>= 0.31.5),
+               r-bioc-biocgenerics (>= 0.37.0),
                r-bioc-matrixgenerics,
                r-bioc-s4vectors (>= 0.27.2),
                r-bioc-iranges (>= 2.17.3)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/

## r-bioc-delayedarray 0.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -13,7 +13,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/DelayedArray
 BugReports: https://github.com/Bioconductor/DelayedArray/issues
-Version: 0.20.0
+Version: 0.22.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès <hpages.on.github@gmail.com>, with contributions from
@@ -44,9 +44,9 @@
         DelayedMatrix-stats.R ConstantArray-class.R
         RleArraySeed-class.R RleArray-class.R zzz.R
 git_url: https://git.bioconductor.org/packages/DelayedArray
-git_branch: RELEASE_3_14
-git_last_commit: 829b529
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 4a5afd1
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:15:51 UTC; biocbuild
+Packaged: 2022-04-26 20:27:10 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.22.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 23:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-bioc-matrixgenerics,
                r-bioc-s4vectors (>= 0.27.2),
                r-bioc-iranges (>= 2.17.3)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/

## r-bioc-delayedarray 0.24.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -13,7 +13,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/DelayedArray
 BugReports: https://github.com/Bioconductor/DelayedArray/issues
-Version: 0.22.0
+Version: 0.24.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès <hpages.on.github@gmail.com>, with contributions from
@@ -21,7 +21,7 @@
 	Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
 Depends: R (>= 4.0.0), methods, stats4, Matrix, BiocGenerics (>=
-        0.37.0), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
+        0.43.4), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
         IRanges (>= 2.17.3)
 Imports: stats
 LinkingTo: S4Vectors
@@ -44,9 +44,9 @@
         DelayedMatrix-stats.R ConstantArray-class.R
         RleArraySeed-class.R RleArray-class.R zzz.R
 git_url: https://git.bioconductor.org/packages/DelayedArray
-git_branch: RELEASE_3_15
-git_last_commit: 4a5afd1
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 68ee3d0
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:27:10 UTC; biocbuild
+Packaged: 2022-11-01 21:20:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-delayedarray (0.24.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 22:09:18 +0100

## r-bioc-delayedarray 0.24.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-bioc-biocgenerics (>= 0.37.0),
+               r-bioc-biocgenerics (>= 0.43.4),
                r-bioc-matrixgenerics,
                r-bioc-s4vectors (>= 0.27.2),
                r-bioc-iranges (>= 2.17.3)

## r-bioc-delayedarray 0.26.6+dfsg

=== debian/changelog ===
r-bioc-delayedarray (0.26.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 17:45:50 +0200

## r-bioc-delayedarray 0.26.7+dfsg

=== DESCRIPTION ===
Package: DelayedArray
Title: A unified framework for working transparently with on-disk and
        in-memory array-like datasets
Description: Wrapping an array-like object (typically an on-disk object) in
	a DelayedArray object allows one to perform common array operations
	on it without loading the object in memory. In order to reduce memory
	usage and optimize performance, operations on the object are either
	delayed or executed using a block processing mechanism. Note that
	this also works on in-memory array-like objects like DataFrame objects
	(typically with Rle columns), Matrix objects, ordinary arrays and,
	data frames.
biocViews: Infrastructure, DataRepresentation, Annotation,
        GenomeAnnotation
URL: https://bioconductor.org/packages/DelayedArray
BugReports: https://github.com/Bioconductor/DelayedArray/issues
Version: 0.26.7
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Aaron", "Lun", role="ctb",
		email="infinite.monkeys.with.keyboards@gmail.com"),
	person("Peter", "Hickey", role="ctb",
		email="peter.hickey@gmail.com"))
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 4.0.0), methods, stats4, Matrix, BiocGenerics (>=
        0.43.4), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
        IRanges (>= 2.17.3), S4Arrays (>= 1.0.1)
Imports: stats
LinkingTo: S4Vectors
Suggests: BiocParallel, HDF5Array (>= 1.17.12), genefilter,
        SummarizedExperiment, airway, lobstr, DelayedMatrixStats,
        knitr, rmarkdown, BiocStyle, RUnit
VignetteBuilder: knitr
Collate: sparseMatrix-utils.R compress_atomic_vector.R
        SparseArraySeed-class.R SparseArraySeed-utils.R
        read_sparse_block.R makeCappedVolumeBox.R
        AutoBlock-global-settings.R AutoGrid.R blockApply.R
        DelayedOp-class.R DelayedSubset-class.R DelayedAperm-class.R
        DelayedUnaryIsoOpStack-class.R
        DelayedUnaryIsoOpWithArgs-class.R DelayedSubassign-class.R
        DelayedSetDimnames-class.R DelayedNaryIsoOp-class.R
        DelayedAbind-class.R showtree.R simplify.R DelayedArray-class.R
        DelayedArray-subsetting.R chunkGrid.R RealizationSink-class.R
        realize.R DelayedArray-utils.R DelayedMatrix-utils.R
        DelayedArray-stats.R DelayedMatrix-stats.R
        ConstantArray-class.R RleArraySeed-class.R RleArray-class.R
        compat.R zzz.R
git_url: https://git.bioconductor.org/packages/DelayedArray
git_branch: RELEASE_3_17
git_last_commit: 8fb66d4
git_last_commit_date: 2023-07-27
Date/Publication: 2023-07-28
NeedsCompilation: yes
Packaged: 2023-07-28 20:26:51 UTC; biocbuild
Author: Hervé Pagès [aut, cre],
  Aaron Lun [ctb],
  Peter Hickey [ctb]

=== debian/changelog ===
r-bioc-delayedarray (0.26.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 14 Aug 2023 12:02:21 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
                r-cran-matrix,
                r-bioc-biocgenerics (>= 0.43.4),
                r-bioc-matrixgenerics,
-               r-bioc-s4vectors (>= 0.27.2),
-               r-bioc-iranges (>= 2.17.3)
-Standards-Version: 4.6.1
+               r-bioc-s4vectors,
+               r-bioc-iranges,
+               r-bioc-s4arrays
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
 Homepage: https://bioconductor.org/packages/DelayedArray/

## r-bioc-delayedarray 0.28.0%2Bdfsg

=== debian/changelog ===
r-bioc-delayedarray (0.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 01:43:41 +0000

## r-bioc-delayedarray 0.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -13,7 +13,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/DelayedArray
 BugReports: https://github.com/Bioconductor/DelayedArray/issues
-Version: 0.26.7
+Version: 0.28.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -26,19 +26,19 @@
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
 Depends: R (>= 4.0.0), methods, stats4, Matrix, BiocGenerics (>=
         0.43.4), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
-        IRanges (>= 2.17.3), S4Arrays (>= 1.0.1)
+        IRanges (>= 2.17.3), S4Arrays (>= 1.1.1), SparseArray (>=
+        1.1.10)
 Imports: stats
 LinkingTo: S4Vectors
 Suggests: BiocParallel, HDF5Array (>= 1.17.12), genefilter,
         SummarizedExperiment, airway, lobstr, DelayedMatrixStats,
         knitr, rmarkdown, BiocStyle, RUnit
 VignetteBuilder: knitr
-Collate: sparseMatrix-utils.R compress_atomic_vector.R
-        SparseArraySeed-class.R SparseArraySeed-utils.R
-        read_sparse_block.R makeCappedVolumeBox.R
-        AutoBlock-global-settings.R AutoGrid.R blockApply.R
-        DelayedOp-class.R DelayedSubset-class.R DelayedAperm-class.R
-        DelayedUnaryIsoOpStack-class.R
+Collate: compress_atomic_vector.R SparseArraySeed-class.R
+        SparseArraySeed-utils.R read_sparse_block.R
+        makeCappedVolumeBox.R AutoBlock-global-settings.R AutoGrid.R
+        blockApply.R DelayedOp-class.R DelayedSubset-class.R
+        DelayedAperm-class.R DelayedUnaryIsoOpStack-class.R
         DelayedUnaryIsoOpWithArgs-class.R DelayedSubassign-class.R
         DelayedSetDimnames-class.R DelayedNaryIsoOp-class.R
         DelayedAbind-class.R showtree.R simplify.R DelayedArray-class.R
@@ -48,12 +48,12 @@
         ConstantArray-class.R RleArraySeed-class.R RleArray-class.R
         compat.R zzz.R
 git_url: https://git.bioconductor.org/packages/DelayedArray
-git_branch: RELEASE_3_17
-git_last_commit: 8fb66d4
-git_last_commit_date: 2023-07-27
-Date/Publication: 2023-07-28
+git_branch: RELEASE_3_18
+git_last_commit: 4f63877
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-07-28 20:26:51 UTC; biocbuild
+Packaged: 2023-10-24 20:56:16 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Aaron Lun [ctb],
   Peter Hickey [ctb]

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                r-bioc-matrixgenerics,
                r-bioc-s4vectors,
                r-bioc-iranges,
-               r-bioc-s4arrays
+               r-bioc-s4arrays (>= 1.1.1),
+               r-bioc-sparsearray (>= 1.1.10)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
